//
//  CPDFTextPreview.m
//  PDFViewer
//
//  Created by kdan on 2022/11/18.
//

#import "CPDFTextPreview.h"

@implementation CPDFTextPreview

- (instancetype)initWithFrame:(CGRect)frame
{
    if (self = [super initWithFrame:frame]) {
        _watermarkLabel = [[UILabel alloc] init];
        _rotationBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        [self addSubview:_watermarkLabel];
        [self addSubview:_rotationBtn];
    }
    return self;
}

- (void)layoutSubviews {
    [super layoutSubviews];
    _watermarkLabel.frame = CGRectMake(self.bounds.size.width / 2 - 45, self.bounds.size.height / 2 - 20, 90, 40);
    _watermarkLabel.layer.borderWidth = 2;
    _watermarkLabel.layer.borderColor = UIColor.blackColor.CGColor;
    _watermarkLabel.text = @" Watermark";
    _watermarkLabel.textColor = UIColor.redColor;
    
    _rotationBtn.frame = CGRectMake(self.bounds.size.width / 2 + 45 - 10, self.bounds.size.height / 2 + 20 - 10, 20, 20);
    _rotationBtn.layer.cornerRadius = 10;
    _rotationBtn.layer.masksToBounds = YES;
    _rotationBtn.layer.borderColor = UIColor.blueColor.CGColor;
    [_rotationBtn setBackgroundImage:[UIImage imageNamed:@"btn_selected"] forState:UIControlStateNormal];
}

@end
